#!/bin/bash
#
# Use this file to compile the WSDL/XSD to Java using Metro.
#
# Author: Roy
#
if [[ "`basename $PWD`" -eq "scripts" ]] ; then
    cd ..
fi

GENERATED_SRC=generated-src
echo "All the generated sources will be stored in `pwd`/$GENERATED_SRC directory."
mkdir $GENERATED_SRC

GENERATED_CLASS=generated-class
echo "All the generated classes will be stored in `pwd`/$GENERATED_CLASS directory."
mkdir $GENERATED_CLASS

for WSDL in wsdls/*.wsdl ; do
    echo "Compiling WSDL $WSDL ..."
    wsimport -verbose -keep -d $GENERATED_CLASS -s $GENERATED_SRC -p com.symantec.vip.ws.vipuserservices $WSDL
done

